Package org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio

# Class ImageIOModule

java.lang.Object
org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo
org.pentaho.reporting.libraries.base.boot.AbstractModule
org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio.ImageIOModule

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.base.boot.Module`, `org.pentaho.reporting.libraries.base.boot.ModuleInfo`

public class ImageIOModule extends org.pentaho.reporting.libraries.base.boot.AbstractModule
Creation-Date: 11.12.2007, 15:53:49

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`ImageIOModule()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(org.pentaho.reporting.libraries.base.boot.SubSystem subSystem)`

### Methods inherited from class org.pentaho.reporting.libraries.base.boot.AbstractModule

`configure, getDescription, getName, getOptionalModules, getProducer, getRequiredModules, getSubSystem, setOptionalModules, toString`

### Methods inherited from class org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo

`equals, getMajorVersion, getMinorVersion, getModuleClass, getPatchLevel, hashCode, setMajorVersion, setMinorVersion, setModuleClass, setPatchLevel`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.pentaho.reporting.libraries.base.boot.ModuleInfo

`getMajorVersion, getMinorVersion, getModuleClass, getPatchLevel`

## Constructor Details

### ImageIOModule

public ImageIOModule() throws org.pentaho.reporting.libraries.base.boot.ModuleInitializeException

Throws:
  `org.pentaho.reporting.libraries.base.boot.ModuleInitializeException`

## Method Details

### initialize

public void initialize(org.pentaho.reporting.libraries.base.boot.SubSystem subSystem) throws org.pentaho.reporting.libraries.base.boot.ModuleInitializeException

Throws:
  `org.pentaho.reporting.libraries.base.boot.ModuleInitializeException`